org.apache.solr.update

## Class UpdateCommand

- java.lang.Object
- - org.apache.solr.update.UpdateCommand

- All Implemented Interfaces:
    Cloneable
  Direct Known Subclasses:
    AddUpdateCommand, CommitUpdateCommand, DeleteUpdateCommand, MergeIndexesCommand, RollbackUpdateCommand, SplitIndexCommand

      public abstract class UpdateCommand
      extends Object
      implements Cloneable

  An index update command encapsulated in an object (Command pattern)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BUFFERING`
    `static int` | `CLEAR_CACHES`
    `protected int` | `flags`
    `static int` | `IGNORE_AUTOCOMMIT`
    `static int` | `PEER_SYNC`
    `static int` | `REPLAY`
    `protected SolrQueryRequest` | `req`
    `protected String` | `route`
    `protected long` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateCommand(SolrQueryRequest req)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UpdateCommand` | `clone()`
    `int` | `getFlags()`
    `SolrQueryRequest` | `getReq()`
    `String` | `getRoute()`
    `long` | `getVersion()`
    `abstract String` | `name()`
    `void` | `setFlags(int flags)`
    `void` | `setReq(SolrQueryRequest req)`
    `void` | `setRoute(String route)`
    `void` | `setVersion(long version)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### req

          protected SolrQueryRequest req

    - #### version

          protected long version

    - #### route

          protected String route

    - #### flags

          protected int flags

    - #### BUFFERING

          public static int BUFFERING

    - #### REPLAY

          public static int REPLAY

    - #### PEER_SYNC

          public static int PEER_SYNC

    - #### IGNORE_AUTOCOMMIT

          public static int IGNORE_AUTOCOMMIT

    - #### CLEAR_CACHES

          public static int CLEAR_CACHES

  - ### Constructor Detail

    - #### UpdateCommand

          public UpdateCommand(SolrQueryRequest req)

  - ### Method Detail

    - #### name

          public abstract String name()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getVersion

          public long getVersion()

    - #### setVersion

          public void setVersion(long version)

    - #### getRoute

          public String getRoute()

    - #### setRoute

          public void setRoute(String route)

    - #### setFlags

          public void setFlags(int flags)

    - #### getFlags

          public int getFlags()

    - #### getReq

          public SolrQueryRequest getReq()

    - #### setReq

          public void setReq(SolrQueryRequest req)

    - #### clone

          public UpdateCommand clone()

      Overrides:
        `clone` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.